Subject: Re: [PATCH] powerpc: Update g5_defconfig

From: Andrey Gusev <[email-masked]>
Date: Tue, 31 Jul 2012 20:40:04 +0400

23.07.2012 11:06, Benjamin Herrenschmidt пишет:
> On Mon, 2012-07-23 at 09:04 +0200, Andreas Schwab wrote:
>> Benjamin Herrenschmidt<[email-masked]>  writes:
>>
>>> This updates the g5 defconfig to include nouveau instead of nvidiafb
>>> (which works much better nowadays, in fact the latter crashes on modern
>>> distros),
>> Does it?  Nvidiafb is super stable here, whereas nouveau has a lot of
>> problems.
> nvidiafb crashes solid here when X gets involved.
>
> What do you mean by "lots of problems" ? I've been using nouveau for a
> long time now on my two quad g5's including 3D, gnome-shell etc...
> without anything more than a glitch or two on the edge of windows...
>
> Also can you remind me what machine model and what video card variant ?
>
> Cheers,
> Ben.
>
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>
>
nouveau doesn't work on my machine. There is a bug in Xorg project
https://bugs.freedesktop.org/show_bug.cgi?id=21273 It need to make
a workaround for correct initialization of video card. Unfortunately,
I am not skilled enough for it.
Nvidiafb worked fine for me, but I am not using it.

Andrey